/**
 * @(#)file    CommonSignThreadManager.java
 * @(#)author  DaeJin Lee
 * @(#)version 1.0
 * @(#)date    Jun 10, 2005
 * @(#)since   JDK 1.4.2
 *
 * Copyright (c) www.dcchem.co.kr, Inc.
 * All rights reserved.
 * This software is the proprietary information of dcchem, Inc.
 */
package kr.co.udapsoft.common.commonSign;


/**
 * 
 * @version 1.0
 * @author DaeJin Lee
 */
public class CommonSignThreadManager {

    private static CommonSignThread commonSignThread = null;

    private static Object lock = new Object();

    private CommonSignThreadManager() {
        super();
    }

    public static void doStart() {
        synchronized(lock) {
            if( commonSignThread == null ) {
            	commonSignThread = new CommonSignThread();
            }
            commonSignThread.doStart();
        }
    }

    public static void doStop() {
        synchronized(lock) {
            if( commonSignThread != null ) {
            	commonSignThread.doStop();
            	commonSignThread = null;
            }
        }
    }

    public static boolean isRun() {
        if( commonSignThread == null )
            return false;
        else {
            return commonSignThread.isRun();
        }
    }
}
